join
donate

NTP Bug 1774

ntpd segfaults if cryptostats enabled when built without OpenSSL

  • Date Resolved: Development (4.2.7p112) 18 Aug 2010, Stable (4.2.8) 19 Dec 2014
  • References: Bug 1774 / CVE-2015-5195
  • Affects: All ntp-4 releases up to and including 4.2.7p111.
  • CVSS: (AV:N/AC:H/Au:M/C:N/I:N/A:P) Base Score: 1.7 (worst case)
  • Summary: If ntpd is not built with OpenSSL cryptography and ntpd is told to configure cryptography statistics, ntpd will crash.
  • Mitigation:
    • Don't specify cryptography statistics directives in unpatched releases of ntpd if your ntpd doesn't support cryptography.
    • Upgrade to 4.2.8p4, or later, from the NTP Project Download Page or the NTP Public Services Project Download Page. Yes, you could upgrade to 4.2.7p112 or later, but why would you want to run an intermediate development version instead of the latest supported stable version?
    • Monitor your ntpd instances.
  • Credit: This issue was tracked down by Steve Kostecke in 2011.


This topic: Main > SecurityNotice > NtpBug1774
Topic revision: r1 - 2015-10-23 - 08:59:42 - HarlanStenn
 
SSL security by CAcert
Get the CAcert Root Certificate
This site is powered by the TWiki collaboration platform
IPv6 Ready
Copyright & 1999-2018 by the contributing authors. All material on this collaboration platform is the property of the contributing authors. Ideas, requests, problems regarding the site? Send feedback